import { DataManager, DataManagerParametersType, KameleoonDataType, KameleoonError, KameleoonVisitorDataType, Result, StaticData, VisitorsDataType } from '@kameleoon/javascript-sdk-core';
export declare class ClientDataManager extends DataManager {
    private visitor;
    constructor({ dataStorage, infoStorage, cleanupInterval, packageInfo, }: DataManagerParametersType);
    getUnsentData(visitorCode: string): (KameleoonDataType | StaticData)[];
    storeData(data: VisitorsDataType): Result<void, KameleoonError>;
    storeData(visitorCode: string, ...data: KameleoonDataType[]): Result<void, KameleoonError>;
    getVisitorData(visitorCode: string): KameleoonVisitorDataType | undefined;
    updateLastActivity(): string | null;
    checkVisitor(visitorCode: string): void;
    private createVisitor;
    private updateVisitor;
    private fetchVisit;
}
