import { BrowserType, DeviceType, OperatingSystemType, PageView } from '@kameleoon/javascript-sdk-core';
export type BrowserResult = {
    name?: BrowserType;
    version?: string;
};
export type OSResult = {
    name?: OperatingSystemType;
    version?: string;
};
export type PlatformResult = {
    type?: DeviceType;
};
export type ParsedResult = {
    browser?: BrowserResult;
    os?: OSResult;
    platform?: PlatformResult;
    pageView?: PageView;
};
export declare class Utils {
    static getFirstMatch(regex: RegExp, userAgent: string): string;
    static getSecondMatch(regex: RegExp, userAgent: string): string;
    static assign<T extends object>(target: T, ...sources: Partial<T>[]): T;
}
export declare class BrowserParser {
    private userAgent;
    private parsedResult;
    constructor(userAgent: string);
    private parseBrowser;
    private parseOS;
    private parsePlatform;
    private parseOsName;
    private parseOsVersion;
    private parse;
    parseWebView(): void;
    private parseReactNative;
    getResult(): ParsedResult;
}
export default class BrowserAnalyse {
    static browserParser: BrowserParser | null;
    static parse(): ParsedResult;
    static getBrowserVersion(version: string | undefined): number | undefined;
}
