"use strict";Object.defineProperty(exports,"__esModule",{value:!0}),exports.ClientDataManager=void 0;var _javascriptSdkCore=require("@kameleoon/javascript-sdk-core"),_constants=require("./constants"),_browserAnalyse=_interopRequireDefault(require("./utils/browserAnalyse"));function _interopRequireDefault(a){return a&&a.__esModule?a:{default:a}}function _defineProperty(a,b,c){return(b=_toPropertyKey(b))in a?Object.defineProperty(a,b,{value:c,enumerable:!0,configurable:!0,writable:!0}):a[b]=c,a}function _toPropertyKey(a){var b=_toPrimitive(a,"string");return"symbol"==typeof b?b:b+""}function _toPrimitive(a,b){if("object"!=typeof a||!a)return a;var c=a[Symbol.toPrimitive];if(void 0!==c){var d=c.call(a,b||"default");if("object"!=typeof d)return d;throw new TypeError("@@toPrimitive must return a primitive value.")}return("string"===b?String:Number)(a)}class ClientDataManager extends _javascriptSdkCore.DataManager{constructor(a){let{dataStorage:b,infoStorage:c,cleanupInterval:d,packageInfo:e}=a;_javascriptSdkCore.KameleoonLogger.debug`CALL: new ClientDataManager(dataStorage, infoStorage, cleanupInterval: ${d}, packageInfo: ${e})`,super({dataStorage:b,infoStorage:c,cleanupInterval:d,packageInfo:e}),_defineProperty(this,"visitor",null),this.updateVisitor(),_javascriptSdkCore.KameleoonLogger.debug`RETURN: new ClientDataManager(dataStorage, infoStorage, cleanupInterval: ${d} packageInfo: ${e})`}getUnsentData(a){var b,c;const d=super.getUnsentData(a),e=super.getVisitorData(a);if(!e)return d;const f=e[_javascriptSdkCore.KameleoonData.Browser],g=e[_javascriptSdkCore.KameleoonData.Device],h=e[_javascriptSdkCore.KameleoonData.OperatingSystem],i=new _javascriptSdkCore.StaticData({browserType:null===f||void 0===f?void 0:f.browser,browserVersion:null===f||void 0===f?void 0:f.version,visitNumber:null===(b=this.visitor)||void 0===b?void 0:b.visitNumber,timeSincePreviousVisit:null===(c=this.visitor)||void 0===c?void 0:c.timeSincePreviousVisit,os:null===h||void 0===h?void 0:h.operatingSystem,deviceType:null===g||void 0===g?void 0:g.device});return d.push(i),d}storeData(a){if("string"==typeof a){for(var b=arguments.length,c=Array(1<b?b-1:0),d=1;d<b;d++)c[d-1]=arguments[d];return c.length&&this.checkVisitor(a),super.storeData(a,...c)}return super.storeData(a)}getVisitorData(a){return this.checkVisitor(a),super.getVisitorData(a)}updateLastActivity(){var a,b;if(!this.visitor)return null;const c=this.dataStorage.read();if(!c.ok)return null;const d=c.data;let e=d[this.visitor.visitorCode];"string"==typeof e&&(e=d[e]);let f=e[_javascriptSdkCore.KameleoonData.VisitsData];f||(f={visits:[],visitNumber:0,type:_javascriptSdkCore.KameleoonData.VisitsData,status:_javascriptSdkCore.TrackingStatus.Sent,expirationTime:0},e[_javascriptSdkCore.KameleoonData.VisitsData]=f);const g=this.fetchVisit(f.visits,f.visits.length-1),h=null!==(a=null===g||void 0===g?void 0:g.timeLastActivity)&&void 0!==a?a:0,i=Date.now();let j=null!==(b=f.visitNumber)&&void 0!==b?b:f.visits.length?f.visits.length-1:0;if(i-h>_constants.VISIT_DURATION)j+=0<h?1:0,_javascriptSdkCore.ListUtilities.insertVisitInOrderedListMutably({list:f.visits,visit:{timeStarted:i,timeLastActivity:i}}),this.visitor.timeSincePreviousVisit=g?i-h:0;else if(f.visits.length){var k;if(f.visits[f.visits.length-1]={timeStarted:null!==(k=null===g||void 0===g?void 0:g.timeStarted)&&void 0!==k?k:i,timeLastActivity:i},-1===this.visitor.timeSincePreviousVisit){const a=this.fetchVisit(f.visits,f.visits.length-2);this.visitor.timeSincePreviousVisit=a?i-a.timeLastActivity:0}}return f.visitNumber=j,this.visitor.visitNumber=j,this.dataStorage.write(d),this.visitor.visitorCode}checkVisitor(a){this.visitor&&this.visitor.visitorCode===a||this.createVisitor(a)}createVisitor(a){_javascriptSdkCore.KameleoonLogger.debug`CALL: ClientDataManager.createVisitor(visitorCode: ${a})`,this.visitor=new Visitor(a);try{var b,c,d;const e=_browserAnalyse.default.parse(),f=[];if(null!==(b=e.os)&&void 0!==b&&b.name&&f.push(new _javascriptSdkCore.OperatingSystem(e.os.name)),null!==(c=e.platform)&&void 0!==c&&c.type&&f.push(new _javascriptSdkCore.Device(e.platform.type)),null!==(d=e.browser)&&void 0!==d&&d.name){const a=_browserAnalyse.default.getBrowserVersion(e.browser.version);f.push(new _javascriptSdkCore.Browser(e.browser.name,a))}e.pageView&&f.push(e.pageView),f.length&&this.storeData(a,...f)}finally{this.updateLastActivity()}_javascriptSdkCore.KameleoonLogger.debug`RETURN: ClientDataManager.createVisitor(visitorCode: ${a})`}updateVisitor(){_javascriptSdkCore.KameleoonLogger.debug`CALL: ClientDataManager.updateVisitor()`;const a=this.dataStorage.read();if(!a.ok)return;const b=a.data;let c,d=-1;for(const[a,f]of Object.entries(b)){if("string"==typeof f)continue;const b=f[_javascriptSdkCore.KameleoonData.VisitsData];if(!b){c||(c=a);continue}const g=b.visits.length?b.visits[b.visits.length-1]:null;if(g){var e;const b=null!==(e="number"==typeof g?g:null===g||void 0===g?void 0:g.timeLastActivity)&&void 0!==e?e:0;b>d&&(d=b,c=a)}else c||(c=a)}c?this.createVisitor(c):(this.visitor=null,_javascriptSdkCore.KameleoonLogger.debug`ClientDataManager no visitor found`),_javascriptSdkCore.KameleoonLogger.debug`RETURN: ClientDataManager.updateVisitor()`}fetchVisit(a,b){if(0>b||b>=a.length)return null;const c=a[b];return"number"==typeof c?{timeStarted:c,timeLastActivity:c}:c}}exports.ClientDataManager=ClientDataManager;class Visitor{constructor(a){_defineProperty(this,"visitorCode",void 0),_defineProperty(this,"visitNumber",0),_defineProperty(this,"timeSincePreviousVisit",-1),this.visitorCode=a}}